package dev.crucifixbeta.api.events.impl;

import dev.crucifixbeta.api.events.Event;
import java.awt.Color;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;

@Environment(EnvType.CLIENT)
public class TotemParticleEvent extends Event {
   private static final TotemParticleEvent instance = new TotemParticleEvent();
   public double velocityX;
   public double velocityY;
   public double velocityZ;
   public Color color;

   private TotemParticleEvent() {
   }

   public static TotemParticleEvent get(double velocityX, double velocityY, double velocityZ) {
      instance.velocityX = velocityX;
      instance.velocityY = velocityY;
      instance.velocityZ = velocityZ;
      return instance;
   }
}
